from setuptools import find_packages, setup

__version__ = "0.12.2"

setup(
    name="CRTL",
    version=__version__,
    description="CRTL: A Library for Concept Recognition, Tagging, and Linking",
    long_description="Here's a placeholder for a long description",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    
    entry_points={
        "spacy_factories": ["trend_ngram_tfidf_span_linker = crtl.components.crtl_el:make_trend_ngram_tfidf_span_linker",
                            "trend_ngram_tfidf_entity_linker = crtl.components.crtl_el:make_trend_ngram_tfidf_entity_linker",
                            "trend_literal_link_overrider = crtl.components.link_overrider:make_ent_link_overrider"],
        "spacy_scorers" :
                ["crtl.score_span_links = crtl.components.span_linking_scorer:make_span_linker_scorer",
                 "crtl.score_ent_links = crtl.components.span_linking_scorer:make_entity_linker_scorer"]
    },
    install_requires=[
        "nmslib@https://github.com/nmslib/nmslib/archive/refs/tags/v2.1.1.tar.gz#subdirectory=python_bindings",
        "tqdm",
        "requests",
        "boto3",
        "spacy",
        "scipy",
        "scikit-learn"
    ],
    extras_require={
        "develop": ["tox","black","mypy"]
    }

    
)
